/*
Theme Name: Flatsome Child
Description: This is a child theme for Flatsome Theme
Author: UX Themes
Template: flatsome
Version: 3.0
*/

/*************** ADD CUSTOM CSS HERE.   ***************/

body {
    font-size: 1.2rem !important;
    line-height: 1.3;
}

h1 {
    font-size: 2.3em;
    line-height: 1.3;
    margin: 0 0 15px;
}
h2 {
    font-size: 2em;
    line-height: 1.3;
    margin: 0 0 15px;
}
h3 {
    font-size: 1.7em;
    line-height: 1.3;
    margin: 0 0 15px;
}
h4 {
    font-size: 1.4em;
    line-height: 1.3;
    margin: 0 0 20px;
}
h5 {
    font-size: 1.2em;
    line-height: 1.3;
    margin: 0 0 15px;
}
h6 {
    font-size: 1em;
    line-height: 1.3;
    margin: 0 0 15px;
    opacity: 1;
}
b, strong {
    font-weight: 700;
}
p:last-of-type {
    margin-bottom: 0;
}
.banner h1, .banner h2, .banner h3 {
    font-weight: 700;
}
.uppercase, h6, span.widget-title, th {
    letter-spacing: 0;
    line-height: 1.3;
}
h6, span.widget-title, th {
    text-transform: inherit;
}
blockquote, dl, figure, ol, p, pre, ul {
    margin: 0 0 15px;
}
form {
    margin: 0;
}
.justify p {
    text-align: justify;
}
.icon-box.icon-box-left,
.icon-box.icon-box-right {
    display: flex;
}
/*.icon-box.icon-box-left {*/
/*padding-left: 10px;*/
/*}*/
/*.icon-box.icon-box-right {*/
/*padding-right: 10px;*/
/*}*/
.icon-box.align-center {
    align-items: center;
}
.icon-box .icon-box-img img,
.icon-box .icon-box-img svg {
    padding: 0;
}
.button {
    margin: 0;
    font-weight: 400;
}
p:last-of-type {
    margin: 0;
}
.box-overlay.dark .box-text, .box-shade.dark .box-text {
    text-shadow: none;
}
.align-right {
    text-align: right;
}
.img.align-right {
    margin-left: auto;
}
.img.align-center {
    margin-left: auto;
    margin-right: auto;
}
.rd-16 img {
    border-radius: 16px;
}
.rd-20 img {
    border-radius: 20px;
}

/* Header */
.header-nav-main .cart-item {
    margin-right: 15px !important;
}
.header-nav-main .cart-item .header-button > a {
    display: block;
    width: 36px;
    min-width: 36px;
    height: 36px;
    min-height: 36px;
    background-color: var(--fs-color-secondary);
    background-image: url("assets/img/icon-cart.svg");
    background-size: 21px;
    background-repeat: no-repeat;
    background-position: center;
    position: relative;
    border: none;
}
.header-nav-main .cart-item .header-button > a i:before {
    display: none;
}
.header-nav-main .cart-item .header-button > a.button [data-icon-label]:after {
    right: -20px;
    top: -29px;
}
.header-nav-main .cart-item .header-button > a:after {
    content: "";
    position: absolute;
    width: 44px;
    height: 44px;
    top: -4px;
    left: -4px;
    border: 2px dashed var(--fs-color-secondary);
    border-radius: 50%;
}
.header-nav-main .header-search > a {
    width: 36px;
    min-width: 36px;
    height: 36px;
    min-height: 36px;
    background-color: #24B1E6;
    background-image: url("assets/img/icon-search.svg");
    background-size: 21px;
    background-repeat: no-repeat;
    background-position: center;
    position: relative;
    border: none;
}
.header-nav-main .header-search > a i {
    display: none;
}
.header-nav-main .header-search > a:after {
    content: "";
    position: absolute;
    width: 44px;
    height: 44px;
    top: -4px;
    left: -4px;
    border: 2px dashed #24B1E6;
    border-radius: 50%;
}
.sachi-breadcrumb {
    padding: 18px 0;
    background: var(--primary-color);
}
.sachi-breadcrumb .rank-math-breadcrumb {
    padding-left: 32px;
    background-image: url("assets/img/icon-home.svg");
    background-position: left 6px;
    background-size: 20px;
    background-repeat: no-repeat;
}
.sachi-breadcrumb .rank-math-breadcrumb span,
.sachi-breadcrumb .rank-math-breadcrumb a {
    font-size: 1.2em;
    color: #ffffff;
    font-weight: 500;
}
.sachi-breadcrumb .rank-math-breadcrumb a:hover {
    color: var(--fs-color-secondary);
}
.nav-dropdown-default {
    padding: 10px;
}

/* Trang chủ */
.row-statistical {
    position: relative;
}
.row-statistical:before {
    content: "";
    position: absolute;
    width: 100%;
    height: 90%;
    top: 0;
    left: -5%;
    background-image: url("/wp-content/uploads/2025/09/Vietnam-Map-1.png");
    background-repeat: no-repeat;
    background-size: contain;
    background-position: left center;
}
.sachi-certification > .col-inner {
    padding: 51px 31px;
    background: #ffffff;
    box-shadow: 0px 0px 15px 0px rgba(36, 61, 146, 0.15);
    border-radius: 30px;
}
.sachi-certification > .col-inner:after {
    content: "";
    position: absolute;
    width: calc(100% - 10px);
    height: calc(100% - 10px);
    top: 5px;
    left: 5px;
    border: 2px dashed rgba(255, 198, 0, 1);
    border-radius: 30px;
}
.slider-testimonial .flickity-slider>.row:not(.is-selected) {
    opacity: 1;
}
.slider-testimonial .flickity-slider>.row {
    margin: 0;
}
.slider-testimonial .col-testimonial {
    padding: 20px 10px 30px;
}
.col-testimonial > .col-inner {
    height: 100%;
    padding: 25px 20px 20px;
    background: #D5F6FD;
    border-radius: 20px;
}
.col-testimonial > .col-inner:before {
    content: "";
    position: absolute;
    width: 40px;
    height: 51px;
    background-image: url("/wp-content/uploads/2025/09/arrow-testimonial.png");
    background-repeat: no-repeat;
    background-size: contain;
    top: calc(100% - 10px);
    left: 45px;
}
.col-testimonial > .col-inner:after {
    content: "";
    position: absolute;
    width: 108px;
    height: 81px;
    background-image: url("/wp-content/uploads/2025/09/quote-2.png");
    background-repeat: no-repeat;
    background-size: contain;
    top: 25px;
    right: 25px;
}
.col-testimonial.small > .col-inner:before {
    width: 32px;
}
.col-testimonial.small > .col-inner:after {
    width: 51px;
}
.col-testimonial > .col-inner .icon-box {
    margin-top: -10px;
}
.col-testimonial > .col-inner .icon-inner img {
    border-radius: 50%;
}
.col-testimonial > .col-inner .icon-inner img {
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    object-fit: cover;
}
.col-testimonial > .col-inner .icon-box-img:after {
    content: "";
    position: absolute;
    width: calc(100% + 10px);
    height: calc(100% + 10px);
    top: -5px;
    left: -5px;
    border: 1px dashed rgba(255, 198, 0, 1);
    border-radius: 50%;
}
.section-testimonial .image-top {
    position: absolute;
    width: 110px !important;
    top: -51px;
    right: 0;
}
.section-testimonial .image-top-right {
    position: absolute;
    width: 200px !important;
    top: 0;
    right: -250px;
}
.section-testimonial .image-left-center {
    position: absolute;
    width: 180px !important;
    top: 50%;
    left: -180px;
}
.section-testimonial .image-left-bottom {
    position: absolute;
    width: 200px !important;
    bottom: 100px;
    left: -250px;
}
.section-testimonial .section-bg {
    top: auto;
    bottom: -200px;
    background: linear-gradient(0deg, #D0F6FD -33.44%, #FFFFFF 83.92%);
}

/* Sản phẩm */
.shop-page-title .is-large {
    display: none;
}

.col-product-info > .col-inner {
    display: flex;
    flex-direction: column;
    gap: 10px;
}
.product-title-container h1 {
    margin: 0;
}
.product-title-container .is-divider {
    display: none;
}
.sachi-product-review {
    display: flex;
    align-items: center;
}
.sachi-product-review .stars {
    --rating: 0;              /* số sao, ví dụ: 4.5 */
    --max: 5;                 /* tổng số sao */
    --star-size: 30px;
    font-size: 25px;
    font-family: "Arial", sans-serif;
    letter-spacing: 3px;       /* khoảng cách giữa sao */
    display: inline-block;
    position: relative;
    color: #ccc;
    line-height: 1;
}

.sachi-product-review .stars::before {
    content: "★★★★★";          /* 5 sao đầy */
    position: absolute;
    top: 0;
    left: 0;
    white-space: nowrap;
    overflow: hidden;
    color: var(--fs-color-secondary);               /* màu sao đầy */
    width: calc(var(--rating) / var(--max) * 100%);
}
span.amount {
    color: var(--primary-color);
}
.col-product-info span.amount {
    font-size: 50px;
}
.product-gallery-single .product-thumbnails a,
.product-gallery-single .woocommerce-product-gallery__wrapper a {
    display: block;
    position: relative;
    padding-top: 100%;
    background: #fbf8f3;
    border-radius: 20px;
    overflow: hidden;
}
.product-gallery-single .product-thumbnails a {
    border-radius: 10px;
}
.product-gallery-single .product-thumbnails a img,
.product-gallery-single .woocommerce-product-gallery__wrapper a img {
    position: absolute;
    width: auto;
    max-width: 90%;
    height: auto;
    max-height: 90%;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    object-fit: contain;
}
.cart .quantity {
    padding: 9px;
    background: #24B1E6;
    border-radius: 60px;
    overflow: hidden;
}
.cart .quantity input[type=number] {
    width: 90px;
    max-width: none;
    height: 32px;
    min-height: auto;
    text-align: center;
    line-height: 32px;
    background: #ffffff;
    border-radius: 60px !important;
    font-size: 25px;
    color: #000000;
    box-shadow: none;
    border: none;
    text-shadow: none;
    outline: none;
}
.cart .quantity input[type=button] {
    height: 32px;
    min-height: auto;
    text-align: center;
    line-height: 32px;
    background: transparent;
    font-size: 25px;
    box-shadow: none;
    border: none;
    outline: none;
    text-shadow: none;
    color: #ffffff;
}
.button {
    font-weight: 700;
}
.button.alt, .button.checkout, .checkout-button, .secondary {
    background: linear-gradient(180deg, #F9DE2F 0%, #F7941E 104%);
}
.button.single_add_to_cart_button, .primary {
    background: linear-gradient(180deg, #27AAE1 0%, #1C75BC 100%);
}
.button.single_add_to_cart_button {
    padding: 0 62px 0 32px;
    border-radius: 60px;
    border: none;
    font-weight: 700;
    font-size: 20px;
    position: relative;
}
.button.single_add_to_cart_button:after {
    content: "";
    position: absolute;
    width: 22px;
    height: 22px;
    top: calc(50% - 11px);
    right: 32px;
    background-image: url("assets/img/icon-cart.svg");
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;
}
.add-to-cart-container form.cart {
    position: relative;
    padding-bottom: 75px;
    font-weight: 700;
    gap: 15px;
}
.add-to-cart-container form.cart .ux-buy-now-button {
    background: linear-gradient(180deg, #F9DE2F 0%, #F7941E 104%);
    position: absolute;
    padding: 0 70px 0 50px;
    height: 50px;
    line-height: 50px;
    border-radius: 60px;
    left: 0;
    bottom: 0;
    overflow: hidden;
    border: none;
    font-weight: 700;
    font-size: 20px;
}
.button.btn-border-dashed {
    position: relative;
    overflow: hidden;
}
.button.btn-border-dashed:before,
.add-to-cart-container form.cart .ux-buy-now-button:before {
    content: "";
    position: absolute;
    width: calc(100% - 10px);
    height: calc(100% - 10px);
    top: 5px;
    left: 5px;
    border: 2px dashed rgba(255, 255, 255, 1);
    border-radius: 60px;
}
.add-to-cart-container form.cart .ux-buy-now-button:after {
    content: "";
    position: absolute;
    width: 12px;
    height: 18px;
    top: calc(50% - 9px);
    right: 50px;
    background-image: url("assets/img/icon-arrow-right.svg");
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
}
.button.btn-link-diem-ban {
    position: absolute;
    max-width: 200px;
    height: 50px;
    line-height: 50px;
    font-size: 20px;
    left: 226px;
    bottom: 0;
    margin: 0;
    border: none;
}
.section-title-container {
    margin: 0;
}
.section-title {
    border: none !important;
}
.section-title b {
    display: none !important;
}
.section-title.section-title-center {
    justify-content: center;
}
.section-title span {
    display: inline-block;
    position: relative;
    padding: 0 20px 5px;
}
.section-title span:after {
    content: "";
    position: absolute;
    width: 100%;
    height: 27px;
    bottom: 0;
    left: 0;
    background: #FCEBCC;
    z-index: -1;
}

.related-products-wrapper {
    border: none;
}
.product-section-title-related {
    display: none;
}
.product-small.box .box-image a {
    display: block;
    padding-top: 80%;
    position: relative;
    background: #fbf8f3;
    border-radius: 16px;
    overflow: hidden;
}
.product-small.box .box-image a img {
    position: absolute;
    width: auto;
    max-width: 90%;
    height: auto;
    max-height: 90%;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    object-fit: contain;
}
.product-small.box:hover .box-image .image-zoom a img {
    transform: translate(-50%, -50%) scale(1.1);
}
.product-small .box-text {
    padding: 15px 0 50px 0;
    position: relative;
}
.product-small .product-title {
    max-width: 290px;
    text-align: center;
    margin: 0 auto 10px;
}
.product-small .product-title a {
    font-size: 1.5em;
    font-weight: 700;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    overflow: hidden;
    text-overflow: ellipsis;
    min-height: 68px;
    margin: 0;
}
.product-small .price-wrapper .price {
    margin: 0 0 15px;
    text-align: center;
}
.product-small span.amount {
    font-size: 1.7em;
    font-weight: 700;
    color: var(--fs-color-secondary);
}
.product-small .btn-view-more {
    display: block;
    font-size: 20px;
    font-weight: 700;
    padding: 0 10px;
    width: 120px;
    height: 40px;
    min-height: auto;
    line-height: 40px;
    margin: 0;
    border: none;
    border-radius: 60px;
    position: absolute;
    bottom: 0;
    left: calc(50% - 127px);
}
.product-small .btn-view-more img {
    display: inline-block;
    padding-left: 10px;
}
.product-small .add-to-cart-button {
    margin: 0;
}
.product-small .add-to-cart-button a {
    position: absolute;
    font-size: 20px;
    width: 150px;
    height: 40px;
    min-height: auto;
    line-height: 40px;
    left: calc(50% + 7px);
    bottom: 0;
    background: linear-gradient(180deg, #F9DE2F 0%, #F7941E 104%);
    border-radius: 60px;
    margin: 0;
    border: none;
    padding: 0;
    color: #ffffff;
}
/*.product-small .add-to-cart-button a:before {*/
    /*content: "";*/
    /*position: absolute;*/
    /*width: 32px;*/
    /*height: 32px;*/
    /*top: calc(50% - 16px);*/
    /*left: calc(50% - 16px);*/
    /*background-image: url("assets/img/icon-cart-plus.svg");*/
    /*background-repeat: no-repeat;*/
    /*background-position: center;*/
    /*background-size: contain;*/
/*}*/

body .slider {
    overflow: visible;
}
body .slider .flickity-prev-next-button.previous {
    left: -42px !important;
}
body .slider .flickity-prev-next-button.next {
    right: -42px !important;
}
body .slider-banner .slider .flickity-prev-next-button.previous {
    left: 20px !important;
}
body .slider-banner .slider .flickity-prev-next-button.next {
    right: 20px !important;
}
@media only screen and (max-width: 1360px) {
    /*************** ADD MOBILE ONLY CSS HERE  ***************/
    body .slider .flickity-prev-next-button.previous {
        left: 20px !important;
    }
    body .slider .flickity-prev-next-button.next {
        right: 20px !important;
    }

}
body .product-gallery-single .slider .flickity-prev-next-button.previous {
    left: 20px !important;
}
body .product-gallery-single .slider .flickity-prev-next-button.next {
    right: 20px !important;
}
body .slider .flickity-prev-next-button {
    width: 36px !important;
    height: 36px !important;
    min-height: auto;
    background: var(--fs-color-secondary) !important;
    border-radius: 50%;
    top: 50% !important;
    opacity: 1 !important;
    margin: 0 !important;
    transform: none !important;
    box-shadow: none !important;
}
.slider-nav-circle .flickity-prev-next-button .arrow,
.slider-nav-circle .flickity-prev-next-button svg {
    border: none;
}
.slider-nav-circle .flickity-prev-next-button:hover .arrow,
.slider-nav-circle .flickity-prev-next-button:hover svg {
    background: var(--fs-color-secondary) !important;
    border: none;
}
.flickity-prev-next-button:before {
    content: "";
    position: absolute;
    width: 44px;
    height: 44px;
    top: -4px;
    left: -4px;
    border: 2px dashed var(--fs-color-secondary);
    border-radius: 50%;
}
.flickity-prev-next-button .arrow,
.flickity-prev-next-button svg {
    fill: #ffffff;
    border-color: currentColor;
    margin: 0 !important;
}
.slider .flickity-prev-next-button:hover .arrow,
.slider .flickity-prev-next-button:hover svg {
    fill: #ffffff;
}

.woocommerce-result-count {
    display: block;
    margin-bottom: 15px;
}
.shop-page-title .woocommerce-ordering {
    display: flex;
    justify-content: space-between;
    margin-bottom: 31px;
}
.shop-page-title .woocommerce-ordering select {
    opacity: 0;
}
.shop-page-title .woocommerce-ordering .title-ordering {
    white-space: nowrap;
    padding-top: 6px;
}
.shop-page-title .woocommerce-ordering .wc-orderby-radios {
    flex: 1;
    text-align: right;
}
.shop-page-title .woocommerce-ordering .wc-orderby-label {
    display: inline-block;
    position: relative;
    margin: 0 9px 0 15px;
}
.shop-page-title .woocommerce-ordering .wc-orderby-label span {
    display: inline-block;
    padding: 0 59px 0 25px;
    height: 40px;
    line-height: 40px;
    background: #24B1E6;
    border-radius: 60px;
    white-space: nowrap;
    font-weight: 700;
    color: #ffffff;
    position: relative;
}
.shop-page-title .woocommerce-ordering .wc-orderby-label span:after {
    content: "";
    position: absolute;
    width: 22px;
    height: 32px;
    top: calc(50% - 16px);
    right: 25px;
    background-image: url("assets/img/icon-heart.svg");
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
}
.shop-page-title .woocommerce-ordering .wc-orderby-label:nth-child(2) span:after {
    background-image: url("assets/img/icon-arrow-down.svg");
}
.shop-page-title .woocommerce-ordering .wc-orderby-label:nth-child(3) span:after {
    background-image: url("assets/img/icon-arrow-up.svg");
}
.shop-page-title .woocommerce-ordering .wc-orderby-label input:checked + span {
    background: var(--fs-color-secondary);
}
.shop-page-title .woocommerce-ordering .wc-orderby-label input {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    margin: 0;
    cursor: pointer;
    z-index: 9;
    opacity: 0;
}
ul.nav-pagination {
    margin: 30px 0;
}
.nav-pagination>li>a, .nav-pagination>li>span {
    font-size: 20px;
    font-weight: 700;
    color: #ffffff !important;
    background: linear-gradient(180deg, #27AAE1 0%, #1C75BC 100%);
    border: none !important;
    height: 45px;
    line-height: 45px;
    min-width: 45px;
}
.nav-pagination>li>.current, .nav-pagination>li>a:hover, .nav-pagination>li>span:hover {
    background: linear-gradient(180deg, #F9DE2F 0%, #F7941E 104%);
}
.shop-sidebar-title {
    display: flex;
    align-items: flex-end;
    font-size: 1.9em;
    line-height: 1;
    margin-bottom: 30px;
}
.shop-sidebar-title img {
    width: 36px;
    min-width: 36px;
    margin-right: 10px;
}
.widget .searchform input.search-field {
    box-shadow: none;
    outline: none;
    border-radius: 60px 0 0 60px;
}
.widget .searchform button.submit-button {
    box-shadow: none;
    outline: none;
    border-radius: 0 60px 60px 0;
}
.widget .widget-title {
    display: block;
    font-weight: 700;
    font-size: 1.5em;
    color: var(--primary-color);
    margin: 0 0 10px;
}
.widget .is-divider {
    display: none;
}
.widget ul li {
    margin-bottom: 5px;
    border: none !important;
}
.widget ul li:last-child {
    margin-bottom: 0;
}
.widget>ul>li ul {
    border: none;
    margin: 0;
    padding-left: 10px;
}
.widget>ul>li ul li {
    margin-top: 5px;
    border: none !important;
}
.widget ul li a,
.widget>ul>li li>a {
    padding: 0 0 0 29px;
    border: none;
    position: relative;
}
.widget ul li.current-cat > a {
    font-weight: 400;
}
.widget ul li.current-cat > a:hover {
    color: var(--primary-color);
}
.widget ul li a:before {
    content: "";
    position: absolute;
    width: 20px;
    height: 20px;
    border: 2px #000000 solid;
    border-radius: 2px;
    top: 1px;
    left: 0;
}
.widget ul li.chosen > a:before,
.widget ul li.current-cat > a:before {
    border-color: var(--primary-color);
    background: var(--primary-color);
}
body .widget li.chosen a:before {
    color: currentColor;
    content: "";
    display: inline-block;
    margin-right: 0;
    opacity: 1;
    border: 2px var(--primary-color) solid;
    position: absolute;
    top: 0;
    border-radius: 2px;
    height: 20px;
    line-height: 1px;
    text-align: center;
    width: 20px;
}
.widget ul li > span {
    display: none;
}
.widget_price_filter .ui-slider-horizontal {
    height: 8px;
    background: #D9D9D9;
}
.widget_price_filter .ui-slider .ui-slider-range {
    background-color: var(--fs-color-secondary);
}
.widget_price_filter .ui-slider .ui-slider-handle {
    background-color: #ffffff;
}
.widget_price_filter .ui-slider .ui-slider-handle:after {
    content: "";
    position: absolute;
    width: calc(100% + 10px);
    height: calc(100% + 10px);
    top: -5px;
    left: -5px;
    border: 5px var(--fs-color-secondary) solid;
    border-radius: 50%;
}
.widget_price_filter .price_slider_amount .button {
    background-color: var(--fs-color-secondary);
}
.woocommerce-cart .woocommerce.row {
    justify-content: flex-end;
}
.woocommerce-cart .woocommerce.row > .col {
    border: none;
}
.woocommerce-cart .woocommerce.row > .large-7 {
    flex-basis: 100%;
    max-width: 100%;
}
form.woocommerce-cart-form .shop_table {
    border-radius: 30px;
    overflow: hidden;
}
form.woocommerce-cart-form .shop_table thead {
    background: #24B1E6;
}
form.woocommerce-cart-form .shop_table thead th {
    border: none;
    font-weight: 400;
    color: #ffffff;
    padding: 1em;
    text-align: center;
}
form.woocommerce-cart-form .shop_table td,
form.woocommerce-cart-form .shop_table th {
    padding: 20px !important;
    text-align: center;
}
form.woocommerce-cart-form .shop_table td.product-name {
    text-align: left;
}
form.woocommerce-cart-form .shop_table a {
    color: #000000;
}
form.woocommerce-cart-form .shop_table a.remove {
    color: #E80000;
}
form.woocommerce-cart-form .shop_table tbody {
    background: #F7F7F7;
}
form.woocommerce-cart-form .shop_table td.actions {
    text-align: right;
}
form.woocommerce-cart-form .shop_table .continue-shopping {
    display: none;
}
form.woocommerce-cart-form .shop_table .button {
    border-radius: 60px;
    border: none;
    float: none;
}
.cart_totals table {
    margin: 0;
}
.cart_totals th {
    border-width: 1px;
}
.cart_totals th.product-name {
    border-width: 0;
    font-weight: 700;
    font-size: 1.5em;
    color: var(--primary-color);
}
.wc-proceed-to-checkout .checkout-button,
.place-order #place_order {
    position: relative;
    border: none;
    border-radius: 60px;
}
.wc-proceed-to-checkout .checkout-button:after,
.place-order #place_order:after {
    content: "";
    position: absolute;
    width: calc(100% - 10px);
    height: calc(100% - 10px);
    top: 5px;
    left: 5px;
    border: 2px dashed #ffffff;
    border-radius: 60px;
}
.cart_is_empty .woocommerce-info {
    padding-bottom: 30px;
}
.cart_is_empty > img {
    margin-bottom: 30px;
}
.return-to-shop .button {
    border-radius: 60px;
    border: none;
    position: relative;
}
.return-to-shop .button:after {
    content: "";
    position: absolute;
    width: calc(100% - 10px);
    height: calc(100% - 10px);
    top: 5px;
    left: 5px;
    border: 2px dashed #ffffff;
    border-radius: 60px;
}
.woocommerce-billing-fields__field-wrapper {
    display: flex;
    flex-direction: column;
}
.woocommerce-billing-fields__field-wrapper .form-row-first {
    width: 100%;
    margin-right: 0;
}
.woocommerce-billing-fields {
    border-top: none;
    padding-top: 0;
}
.woocommerce-checkout input,
.woocommerce-checkout select {
    border-radius: 60px;
}
.woocommerce-checkout textarea {
    border-radius: 30px;
}
.woocommerce-checkout .woocommerce-additional-fields h3 {
    display: none;
}
.select-resize-ghost, .select2-container .select2-choice, .select2-container .select2-selection, input[type=date], input[type=email], input[type=number], input[type=password], input[type=search], input[type=tel], input[type=text], input[type=url], select, textarea {
    box-shadow: none !important;
    outline: none !important;
}
table.shop_table {
    border: 1px #ececec solid;
    border-bottom: none;
    border-radius: 30px;
    overflow: hidden;
}
table.shop_table th,
table.shop_table td {
    padding: 10px !important;
    border-width: 1px !important;
    color: #000000;
}
table.shop_table tfoot {
    background: #24B1E6;
}
table.shop_table tfoot th,
table.shop_table tfoot td,
table.shop_table tfoot span.amount {
    color: #ffffff;
}
.woocommerce-order-received h2 {
    font-size: 1.5em;
}
.woocommerce-order-received h3 {
    font-size: 1.2em;
}
.sachi-thankyou-title {
    text-align: center;
}
.sachi-thankyou-title img {
    display: inline-block;
    margin-bottom: 15px;
}

/* Tin tức */
.blog-single .entry-header .entry-image img {
    border-radius: 20px;
}
.blog-single .entry-header-text {
    margin-top: 36px;
    padding: 0;
}
.entry-meta {
    font-size: 0;
}
.entry-meta > span {
    display: inline-block;
    padding-left: 26px;
    background-image: url("assets/img/icon-date.svg");
    background-position: left center;
    background-repeat: no-repeat;
    background-size: 20px;
    margin-right: 20px;
    margin-bottom: 15px;
}
.entry-meta > span.byline {
    background-image: url("assets/img/icon-user.svg");
    margin-right: 0;
}
.entry-meta span a {
    display: inline-block;
    pointer-events: none;
    font-size: 19px;
    color: #000000;
    font-weight: 500;
}
.entry-content.single-page {
    padding-top: 5px;
    padding-bottom: 0;
}
.blog-share {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    gap: 16px;
    margin-top: 60px;
}
.blog-share .blog-share-title {
    font-size: 1.2em;
    white-space: nowrap;
    font-weight: 500;
    margin: 15px 0 0;
}

#comments .comment-respond {
    background-color: #FBF8F3;
    padding: 25px;
    border-radius: 16px;
}
#comments .comment-respond .comment-reply-title {
    display: inline-block;
    padding: 0 10px 5px;
    position: relative;
}
#comments .comment-form input {
    border: none;
    border-radius: 60px;
}
#comments .comment-form textarea {
    border: none;
    border-radius: 30px;
}
#comments .comment-form .form-submit {
    text-align: right;
}
#comments .comment-form .form-submit input.submit {
    background: linear-gradient(180deg, #F9DE2F 0%, #F7941E 104%);
    margin: 0;
}
/*#comments .comment-respond .comment-reply-title:after {*/
    /*content: "";*/
    /*position: absolute;*/
    /*width: 100%;*/
    /*height: 27px;*/
    /*left: 0;*/
    /*bottom: 0;*/
    /*background: #D0D3E0;*/
    /*z-index: -1;*/
/*}*/

.post-sidebar #custom_html-2 {
    padding: 16px;
    background: #FBF8F3;
    border-radius: 16px;
}
.post-sidebar .widget-title {
    text-align: center;
    padding: 0 0 5px;
    position: relative;
    margin: 0 0 15px;
}
.post-sidebar .widget-title:after {
    content: "";
    position: absolute;
    width: 100%;
    height: 27px;
    left: 0;
    bottom: 0;
    background: #D0D3E0;
}
.post-sidebar .widget-title span {
    position: relative;
    z-index: 2;
}
.wpcf7-form input,
.wpcf7-form textarea,
.wpcf7-form select {
    border: 1px #E5E5E5 solid;
    border-radius: 60px;
}
.post-sidebar .wpcf7-form input,
.post-sidebar .wpcf7-form textarea,
.post-sidebar .wpcf7-form select {
    border: none;
}
.wpcf7-form textarea {
    border-radius: 30px;
}
.wpcf7-form input.wpcf7-submit {
    width: 100%;
    background: linear-gradient(180deg, #F9DE2F 0%, #F7941E 104%);
    border: none;
    text-transform: none;
}
.post-item .image-cover {
    padding-top: 100%;
    border-radius: 16px;
    overflow: hidden;
}
.post-item .box-text {
    padding: 15px 0 0;
}
.post-item .box-text-inner {
    display: flex;
    flex-direction: column;
    gap: 10px;
}
.post-item .box-text-inner .post-title {
    font-size: 1.5em;
    margin: 0;
}
.post-item .box-text-inner .post-title a {
    display: block;
    font-weight: bold;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    overflow: hidden;
    text-overflow: ellipsis;
    margin: 0;
    color: var(--fs-color-primary);
}
.post-item .box-text-inner .post-title a:hover {
    color: var(--fs-color-secondary);
}
.post-item .box-text-inner .post-meta {
    order: -1;
    font-size: 1.2em;
    font-weight: 500;
    color: #000000;
    margin: 0;
}
.post-item .box-text-inner .is-divider {
    display: none;
}
.post-item .box-text-inner a.button {
    color: var(--fs-color-secondary);
    font-weight: 600;
    width: auto;
    max-width: 75px;
    margin: 0;
    padding: 0;
    background-color: transparent !important;
    border: none !important;
    box-shadow: none !important;
    background-image: url("assets/img/icon-arrow-right2.svg") !important;
    background-repeat: no-repeat !important;
    background-position: right center !important;
    background-size: 9px !important;
    min-height: auto;
    font-size: 1em;
    line-height: 1.3;
    text-align: left;
}
#post-list .post-item .box-text {
    padding: 45px 0 0;
    position: relative;
}
#post-list .post-item .box-text-inner {
    display: block;
}
#post-list .post-item .btn-view-more {
    display: inline-block;
    color: #ffffff;
    font-weight: 700;
    white-space: nowrap;
    padding: 10px 36px;
    background: linear-gradient(180deg, #27AAE1 0%, #1C75BC 104%);
    border-radius: 60px;
    position: absolute;
    top: -20px;
    right: 30px;
    margin: 0;
}
#post-list .post-item .btn-view-more:after {
    content: "";
    position: absolute;
    width: calc(100% - 10px);
    height: calc(100% - 10px);
    top: 5px;
    right: 5px;
    border: 2px dashed #ffffff;
    border-radius: 60px;
}
#post-list .post-item .btn-view-more img {
    display: inline-block;
    width: 15px;
    padding-left: 10px;
}

/* 404 */
.error404 .banner-product {
    display: none;
}
.error404 .btn-border-dashed:after {
    content: "";
    position: absolute;
    width: 32px;
    height: 32px;
    top: calc(50% - 16px);
    left: 30px;
    background-image: url(assets/img/icon-home.svg);
    background-position: center;
    background-size: 25px;
    background-repeat: no-repeat;
}

/* FAQ */
.accordion {
    background: #F7F7F7;
    border-radius: 16px;
    overflow: hidden;
}
.accordion .accordion-title {
    padding: 25px 145px 25px 100px;
    font-weight: 500;
}
.accordion .accordion-title.active {
    background: #24B1E6;
    color: #ffffff;
    font-weight: 500;
    border-radius: 16px 16px 0 0;
    overflow: hidden;
    border-color: transparent;
}
.accordion .accordion-title .toggle {
    border-radius: 0;
    width: 42px;
    height: 42px;
    top: calc(50% - 21px);
    left: auto;
    right: 45px;
    margin-right: 0;
    transform-origin: 50% 47%;
}
.accordion .accordion-inner {
    padding: 25px 100px;
}

/* Tìm địa điểm */
#point-sale-filter-form form {
    display: flex;
    justify-content: space-between;
    align-items: center;
}
#point-sale-filter-form form select {
    width: 320px;
    max-width: 32%;
    border-radius: 60px;
}
#point-sale-filter-form form .button {
    margin-bottom: 1em;
    width: 320px;
    max-width: 32%;
    background: linear-gradient(180deg, #F9DE2F 0%, #F7941E 104%);
    border-radius: 60px;
    position: relative;
}
#point-sale-filter-form form .button:after {
    content: "";
    position: absolute;
    width: calc(100% - 8px);
    height: calc(100% - 8px);
    top: 4px;
    left: 4px;
    border: 2px dashed #ffffff;
    border-radius: 60px;
}
#point-sale-filter-form form .button img {
    display: inline-block;
    width: 15px;
    margin-left: 10px;
}
@media only screen and (min-width: 850em) {
    .point-sale-filter .row {
        margin: 0 !important;
    }
    .point-sale-filter .row .col {
        padding: 0;
    }
}
#filter-results {
    height: 451px;
    max-height: 451px;
    overflow-y: auto;
    background: #F8F8F8;
}
#filter-results .total-point {
    padding: 6px 10px;
    font-weight: 500;
    background: #D9D9D9;
    font-size: 18px;
}
#filter-results .point-sale-item {
    padding: 10px;
    cursor: pointer;
}
#filter-results .point-sale-item:nth-child(odd) {
    background: #F2F2F2;
}
#filter-results .point-sale-item.active {
    background: #c8e7f3;
}
#filter-results .point-sale-item .entry-title {
    font-size: 20px;
    color: #000000;
    margin: 0;
}
#filter-results .point-sale-item .point-sale-btn {
    font-weight: 500;
}
#filter-results .point-sale-item .point-sale-btn img {
    display: inline-block;
    width: 15px;
    margin-right: 5px;
}
#point-sale-map iframe {
    width: 100% !important;
}
/*.point-sale-list {*/
    /*padding-right: 15px;*/
    /*max-height: 451px;*/
    /*overflow-y: auto;*/
/*}*/

.sachi-scrollbar::-webkit-scrollbar-track,
.point-sale-list::-webkit-scrollbar-track
{
    /*-webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);*/
    border-radius: 10px;
    /*background-color: #F5F5F5;*/
    background-color: transparent;
}

.sachi-scrollbar::-webkit-scrollbar,
.point-sale-list::-webkit-scrollbar
{
    width: 10px;
    height: 10px;
    background-color: #E8E8E8;
    border-radius: 10px;
}

.sachi-scrollbar::-webkit-scrollbar-thumb,
.point-sale-list::-webkit-scrollbar-thumb
{
    border-radius: 10px;
    /*-webkit-box-shadow: inset 0 0 6px rgba(0,0,0,.3);*/
    background-color: var(--primary-color);
}

/* Về chúng tôi */
.section-bg-map .section-bg img {
    position: absolute;
    width: auto !important;
    height: auto !important;
    max-height: 39%;
    top: auto;
    left: auto;
    right: 5% !important;
    bottom: 150px;
}
.section-gradient {
    background: linear-gradient(223.45deg, #FFFFFF 49.13%, rgba(208, 246, 253, 0.44) 91.2%);
}
.section-gradient2 {
    background: linear-gradient(180deg, #FFFFFF 0%, #D0F6FD 100%);
}
.text-gradient {
    background-image: linear-gradient(180deg, #27AAE1 0%, #1C75BC 100%);
    /*background-image: linear-gradient(to right, rgba(208, 246, 253, 0.44), 223.45deg);*/
    background-clip: text;
    -webkit-background-clip: text; /* For older Chrome-based browsers */
    color: transparent;
    -webkit-text-fill-color: transparent;
}
.text-gradient h2 {
    line-height: 1;
    margin: 0;
}
.font-weight-medium {
    font-weight: 500;
}
.image-sun {
    position: absolute;
    width: 200px !important;
    top: 5%;
    left: -20%;
}
.image-rainbow {
    position: absolute;
    width: 200px !important;
    bottom: -5%;
    right: 0;
}
.image-cloud {
    position: absolute;
    width: 175px !important;
    top: 40%;
    left: 105%;
}
.sachi-development-milestones .col-inner:after {
    content: "";
    position: absolute;
    width: 1px;
    height: 100%;
    top: 0;
    left: 50%;
    background: var(--primary-color);
}
.sachi-development-milestones .box {
    display: flex;
    flex-flow: row wrap;
    align-items: center;
    margin-bottom: 90px;
}
.sachi-development-milestones .box:last-child {
    margin-bottom: 0;
}
.sachi-development-milestones .box .box-image {
    flex-basis: 50%;
    max-width: 50%;
    padding-right: 120px;
    position: relative;
}
.sachi-development-milestones .box .box-image:after {
    content: "";
    position: absolute;
    width: 120px;
    height: 1px;
    top: 50%;
    right: 0;
    border: 1px dotted var(--primary-color);
}
.sachi-development-milestones .box:nth-child(odd) .box-image:after {
    right: auto;
    left: 0;
}
.sachi-development-milestones .box:nth-child(odd) .box-image {
    padding-right: 0;
    padding-left: 120px;
}
.sachi-development-milestones .box .box-image img {
    border-radius: 16px;
}
.sachi-development-milestones .box .box-text {
    flex-basis: 50%;
    max-width: 50%;
    padding-left: 120px;
    text-align: left;
    position: relative;
}
.sachi-development-milestones .box .box-text:after {
    content: "";
    position: absolute;
    width: 20px;
    height: 20px;
    top: calc(50% - 10px);
    left: -10px;
    background: var(--primary-color);
    border-radius: 50%;
    z-index: 2;
}
.sachi-development-milestones .box .box-text:before {
    content: "";
    position: absolute;
    width: 32px;
    height: 32px;
    top: calc(50% - 16px);
    left: -16px;
    background: #ffffff;
    border: 1px var(--primary-color) solid;
    border-radius: 50%;
}
.sachi-development-milestones .box:nth-child(odd) .box-text {
    padding-left: 0;
    padding-right: 120px;
    text-align: right;
    order: -1;
}
.sachi-development-milestones .box:nth-child(odd) .box-text:after {
    left: auto;
    right: -10px;
}
.sachi-development-milestones .box:nth-child(odd) .box-text:before {
    left: auto;
    right: -16px;
}
.sachi-development-milestones .box .box-text h3 {
    margin: 0;
}
.rd-16 .banner {
    border-radius: 16px;
    overflow: hidden;
}
.flickity-page-dots {
    bottom: auto;
    left: auto;
    position: relative;
    right: auto;
    margin: 25px 0 0;
}
.flickity-page-dots .dot {
    border: none;
    width: 20px;
    height: 20px;
    margin: 0 5px;
    opacity: 1;
    background: #84D2F1;
}
.flickity-page-dots .dot:hover,
.flickity-page-dots .dot.is-selected {
    background: #FFC600 !important;
}
@media only screen and (min-width: 550px) {
    /*************** ADD MOBILE ONLY CSS HERE  ***************/
    .slider-no-full .flickity-slider .banner-inner {
        width: calc(100% - 20px) !important;
        left: 10px;
        right: auto;
    }
}

/* Footer */
.footer-wrapper {
    font-weight: 500;
    background-image: url("/wp-content/uploads/2025/09/bg-footer.png");
    background-repeat: no-repeat;
    background-position: center top;
    background-size: cover;
}
.footer-wrapper .absolute-footer {
    display: none;
}
.ux-menu .ux-menu-link {
    margin-bottom: 0;
}
.ux-menu .ux-menu-link:last-child {
    margin-bottom: 0;
}
.ux-menu .ux-menu-link .ux-menu-link__link {
    display: inline-block;
    min-height: auto;
    padding: 0 0 0 16px;
    background-image: url("assets/img/icon-arrow-right.svg");
    background-size: 9px;
    background-repeat: no-repeat;
    background-position: left 5px;
    font-weight: 500;
    filter: brightness(0);
    -webkit-filter: brightness(0);
}
.form-dang-ky {
    position: relative;
}
.form-dang-ky input[type="email"] {
    height: 51px;
    border-radius: 60px;
    background: #ffffff;
    border: none;
    padding-right: 61px;
    margin: 0;
    box-shadow: none;
    outline: none;
}
.form-dang-ky input.wpcf7-submit {
    position: absolute;
    width: auto;
    height: 41px;
    min-height: auto;
    line-height: 1;
    top: 5px;
    right: 5px;
    background-color: var(--fs-color-secondary);
    background-image: url("assets/img/icon-arrow-right.svg");
    background-repeat: no-repeat;
    background-size: 9px;
    background-position-x: calc(100% - 15px);
    background-position-y: center;
    padding: 0 36px 0 15px;
    border-radius: 60px;
    margin: 0;
    box-shadow: none;
    outline: none;
}
.form-dang-ky .wpcf7-spinner {
    position: absolute;
    top: calc(50% - 11px);
    right: 32px;
    margin: 0;
}
.social-icons a {
    width: 44px;
    height: 44px;
    line-height: 42px !important;
    border: 2px dashed #24B1E6 !important;
    background: none !important;
    border-radius: 50%;
    position: relative;
    margin: 15px 15px 0 0 !important;
}
.social-icons .button.icon:hover,
.social-icons .button.icon:not(.is-outline) {
    background: none !important;
    border: 2px dashed #24B1E6 !important;
}
.social-icons a:after {
    content: "";
    position: absolute;
    width: 36px;
    height: 36px;
    top: 2px;
    left: 2px;
    background: #24B1E6;
    border-radius: 50%;
}
.social-icons a i {
    position: relative;
    z-index: 2;
    color: #ffffff !important;
}
.footer-wrapper .social-icons a {
    border: 2px dashed #ffffff !important;
}
.footer-wrapper .social-icons .button.icon:hover,
.footer-wrapper .social-icons .button.icon:not(.is-outline) {
    border: 2px dashed #ffffff !important;
}
.footer-wrapper .social-icons a:after {
    background: #ffffff;
}
.footer-wrapper .social-icons a i,
.footer-wrapper .social-icons .button.icon:hover i {
    color: var(--primary-color) !important;
}

@media only screen and (max-width: 991px) {
    /*************** ADD MOBILE ONLY CSS HERE  ***************/
    .accordion .accordion-title {
        padding: 25px 62px 25px 20px;
        font-weight: 500;
    }
    .accordion .accordion-inner {
        padding: 25px 20px;
    }
    .sachi-development-milestones .box {
        margin-bottom: 45px;
    }

}
@media only screen and (max-width: 850px) {
    /*************** ADD MOBILE ONLY CSS HERE  ***************/
    .shop-page-title .medium-flex-wrap .flex-col,
    .shop-page-title .category-filter-row {
        padding-bottom: 0 !important;
    }
    .category-page-row {
        padding-top: 0;
    }

}

@media only screen and (max-width: 48em) {
/*************** ADD MOBILE ONLY CSS HERE  ***************/
    .section-testimonial .image-top,
    .section-testimonial .image-top-right,
    .section-testimonial .image-left-center,
    .section-testimonial .image-left-bottom {
        display: none;
    }

    .sachi-development-milestones .box .box-image {
        padding-right: 45px;
    }
    .sachi-development-milestones .box:nth-child(odd) .box-image {
        padding-right: 0;
        padding-left: 45px;
    }
    .sachi-development-milestones .box .box-text {
        padding-left: 45px;
    }
    .sachi-development-milestones .box:nth-child(odd) .box-text {
        padding-left: 0;
        padding-right: 45px;
    }
    .sachi-development-milestones .box .box-image:after {
        width: 45px;
    }

    .shop-page-title .woocommerce-ordering {
        display: block;
        margin-bottom: 21px;
    }
    .shop-page-title .woocommerce-ordering .wc-orderby-radios {
        text-align: left;
    }
    .shop-page-title .woocommerce-ordering .title-ordering {
        padding-top: 0;
        padding-bottom: 10px;
    }
    .shop-page-title .woocommerce-ordering .wc-orderby-label {
        margin: 0 9px 10px 0;
    }
    .shop-page-title .woocommerce-ordering .wc-orderby-label:last-child {
        margin-right: 0;
    }
    .shop-page-title .woocommerce-ordering .wc-orderby-label span {
        padding: 0 45px 0 20px;
    }
    .shop-page-title .woocommerce-ordering .wc-orderby-label span:after {
        width: 16px;
        right: 20px;
    }

    #point-sale-filter-form form {
        display: block;
    }
    #point-sale-filter-form form .button,
    #point-sale-filter-form form select {
        width: 100%;
        max-width: none;
    }

}

@media only screen and (max-width: 550px) {
    .sachi-development-milestones .col-inner:after {
        left: 16px;
    }
    .sachi-development-milestones .box {
        display: block;
    }
    .sachi-development-milestones .box .box-image,
    .sachi-development-milestones .box .box-text {
        max-width: none;
        padding: 0 0 0 61px !important;
        text-align: left !important;
    }
    .sachi-development-milestones .box .box-image {
        margin: 0 0 10px !important;
    }
    .sachi-development-milestones .box .box-text:before {
        top: -1px;
        left: 0 !important;
        right: auto !important;
    }
    .sachi-development-milestones .box .box-text:after {
        top: 5px;
        left: 6px !important;
        right: auto !important;
    }
    .sachi-development-milestones .box .box-image:after {
        display: none;
    }
    .sachi-development-milestones .box .box-text-inner {
        position: relative;
    }
    .sachi-development-milestones .box .box-text-inner:after {
        content: "";
        position: absolute;
        width: 45px;
        height: 1px;
        top: 14px;
        left: -45px;
        border: 1px dotted var(--primary-color);
    }

    .product-small .product-title a {
        min-height: auto;
    }
    .row-small>.col.product-small {
        padding-bottom: 30px;
    }
    .button.btn-link-diem-ban {
        font-size: 16px;
        left: 160px;
        white-space: nowrap;
    }
    .add-to-cart-container form.cart .ux-buy-now-button {
        padding: 0 40px 0 20px;
        font-size: 16px;
    }
    .add-to-cart-container form.cart .ux-buy-now-button:after {
        right: 20px;
    }
    .button.single_add_to_cart_button {
        padding: 0 42px 0 10px;
        font-size: 16px;
    }
    .button.single_add_to_cart_button:after {
        right: 10px;
    }
    .cart .quantity input[type=number] {
        width: 45px;
        font-size: 20px;
    }
    .cart .quantity input[type=button].minus {
        padding-left: 0;
    }
    .cart .quantity input[type=button].plus {
        padding-right: 0;
    }
    .section-title span {
        padding: 0 0 5px;
    }
}